Retrieve a product by ID
curl --request GET \
--url https://api.artu.ai/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/products/{id}"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artu.ai/products/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"property": {
"type": "1",
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
},
"paymentForm": "1",
"monetaryInstrument": "1"
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>"
},
"INM": {
"operationType": "501",
"inmuebles": [
{
"type": "1",
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"numeroInterior": "<string>",
"postalCode": "<string>",
"dimensionTerreno": "<string>",
"dimensionConstruido": "<string>",
"folioReal": "<string>"
}
],
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1"
}
]
},
"JYS": {
"settlementType": "cash",
"operationType": "101",
"businessLine": "1",
"operationMethod": "1",
"branchInformation": {
"type": "own",
"postalCode": "<string>"
},
"monetaryInstrument": "1"
},
"MJR": {
"operationType": "601",
"operationPostalCode": "<string>",
"goods": [
{
"goodType": "1",
"unit": "1",
"quantity": "<string>"
}
],
"paymentDefaults": [
{
"paymentForm": "1",
"monetaryInstrument": "1"
}
]
},
"MPC": {
"operationType": "401",
"defaultCollateral": {
"tipoGarantia": "2",
"tipoInmueble": "1",
"postalCode": "<string>"
}
},
"TSC": {
"operationType": "211",
"cardType": "1"
},
"VEH": {
"operationType": "801",
"vehicles": [
{
"kind": "terrestre",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"nivelBlindaje": "1",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"tipoOperacion": "00",
"instrumentoMonetario": "00",
"sucursal": "<string>",
"localidad": "10100005"
}
}
}
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}Products
Retrieve a product by ID
GET
/
products
/
{id}
Retrieve a product by ID
curl --request GET \
--url https://api.artu.ai/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/products/{id}"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artu.ai/products/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"property": {
"type": "1",
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
},
"paymentForm": "1",
"monetaryInstrument": "1"
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>"
},
"INM": {
"operationType": "501",
"inmuebles": [
{
"type": "1",
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"numeroInterior": "<string>",
"postalCode": "<string>",
"dimensionTerreno": "<string>",
"dimensionConstruido": "<string>",
"folioReal": "<string>"
}
],
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1"
}
]
},
"JYS": {
"settlementType": "cash",
"operationType": "101",
"businessLine": "1",
"operationMethod": "1",
"branchInformation": {
"type": "own",
"postalCode": "<string>"
},
"monetaryInstrument": "1"
},
"MJR": {
"operationType": "601",
"operationPostalCode": "<string>",
"goods": [
{
"goodType": "1",
"unit": "1",
"quantity": "<string>"
}
],
"paymentDefaults": [
{
"paymentForm": "1",
"monetaryInstrument": "1"
}
]
},
"MPC": {
"operationType": "401",
"defaultCollateral": {
"tipoGarantia": "2",
"tipoInmueble": "1",
"postalCode": "<string>"
}
},
"TSC": {
"operationType": "211",
"cardType": "1"
},
"VEH": {
"operationType": "801",
"vehicles": [
{
"kind": "terrestre",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"nivelBlindaje": "1",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"tipoOperacion": "00",
"instrumentoMonetario": "00",
"sucursal": "<string>",
"localidad": "10100005"
}
}
}
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Query Parameters
Available options:
base, MX:AV, MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH, MX:CNBV, MX:CNBV:TRANSMISOR, MX Response
200 - application/json
OK
Name
Required string length:
1 - 255Available options:
base, MX:AV, MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH, MX:CNBV, MX:CNBV:TRANSMISOR, MX Description
Maximum string length:
1000External ID
Metadata
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
